Package com.io7m.jregions.core.unparameterized.volumes

# Interface VolumeValuesBDType

All Superinterfaces:
  `VolumeSizeValuesBDType`

All Known Subinterfaces:
  `PVolumeBDType<S>`, `VolumeBDType`

All Known Implementing Classes:
  `PVolumeBD`, `VolumeBD`

public interface VolumeValuesBDType extends VolumeSizeValuesBDType

A volume with `BigDecimal` coordinates.

The coordinates of the volume are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y and Z axes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `maximumX()`
  `BigDecimal`
  `maximumY()`
  `BigDecimal`
  `maximumZ()`
  `BigDecimal`
  `minimumX()`
  `BigDecimal`
  `minimumY()`
  `BigDecimal`
  `minimumZ()`
  `default BigDecimal`
  `sizeX()`
  `default BigDecimal`
  `sizeY()`
  `default BigDecimal`
  `sizeZ()`

- ## Method Details

  - ### minimumX

    @Parameter(order=0) BigDecimal minimumX()
    Returns:
      The value on the X axis of the minimum edge of the box (inclusive)

  - ### maximumX

    @Parameter(order=1) BigDecimal maximumX()
    Returns:
      The value on the X axis of the maximum edge of the box (exclusive)

  - ### minimumY

    @Parameter(order=2) BigDecimal minimumY()
    Returns:
      The value on the Y axis of the minimum edge of the box (inclusive)

  - ### maximumY

    @Parameter(order=3) BigDecimal maximumY()
    Returns:
      The value on the Y axis of the maximum edge of the box (exclusive)

  - ### minimumZ

    @Parameter(order=4) BigDecimal minimumZ()
    Returns:
      The value on the Z axis of the minimum edge of the box (inclusive)

  - ### maximumZ

    @Parameter(order=5) BigDecimal maximumZ()
    Returns:
      The value on the Z axis of the maximum edge of the box (exclusive)

  - ### sizeX

    default BigDecimal sizeX()
    Specified by:
      `sizeX` in interface `VolumeSizeValuesBDType`
    Returns:
      The size of the area on the X axis

  - ### sizeY

    default BigDecimal sizeY()
    Specified by:
      `sizeY` in interface `VolumeSizeValuesBDType`
    Returns:
      The size of the area on the Y axis

  - ### sizeZ

    default BigDecimal sizeZ()
    Specified by:
      `sizeZ` in interface `VolumeSizeValuesBDType`
    Returns:
      The size of the area on the Z axis